[
  {
    "chunk_id": 8,
    "chunk_type": "group",
    "human_description": "This is group 'initialNameGroup' definition for report 'MacroReport'. Group expression: $F{name}.substring(0,1). Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"initialNameGroup\">\n\t\t<expression>$F{name}.substring(0,1)</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"10\">\n\t\t\t\t<element kind=\"textField\" uuid=\"70d022a7-d42b-4b7d-83f2-cb6a4e138d36\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"515\" height=\"10\" forecolor=\"#000000\" backcolor=\"#A0A0A0\" fontSize=\"8.0\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>\"Names starting with letter \" + $F{name}.substring(0,1)+\":\"</expression>\n\t\t\t\t\t<box style=\"Sans_Bold\">\n\t\t\t\t\t\t<pen lineWidth=\"0.5\" lineColor=\"#000000\" />\n\t\t\t\t\t</box>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"10\">\n\t\t\t\t<element kind=\"textField\" uuid=\"212b1f8d-e74c-48fc-911c-c6fb170e82b2\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"515\" height=\"10\" forecolor=\"#000000\" backcolor=\"#B0B0B0\" fontSize=\"8.0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{name}.substring(0,1)+ \"-names ID count: \" + $V{initialNameGroup_COUNT}</expression>\n\t\t\t\t\t<box style=\"Sans_Bold\">\n\t\t\t\t\t\t<pen lineWidth=\"0.5\" lineColor=\"#000000\" />\n\t\t\t\t\t</box>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'MacroReport' group 'initialNameGroup'",
    "metadata": {
      "group_name": "initialNameGroup",
      "expression": "$F{name}.substring(0,1)",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 8,
    "chunk_type": "group",
    "human_description": "This is group 'initialNameGroup' definition for report 'MacroReport'. Group expression: $F{name}.substring(0,1). Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"initialNameGroup\">\n\t\t<expression>$F{name}.substring(0,1)</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"10\">\n\t\t\t\t<element kind=\"textField\" uuid=\"70d022a7-d42b-4b7d-83f2-cb6a4e138d36\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"515\" height=\"10\" forecolor=\"#000000\" backcolor=\"#A0A0A0\" fontSize=\"8.0\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>\"Names starting with letter \" + $F{name}.substring(0,1)+\":\"</expression>\n\t\t\t\t\t<box style=\"Sans_Bold\">\n\t\t\t\t\t\t<pen lineWidth=\"0.5\" lineColor=\"#000000\" />\n\t\t\t\t\t</box>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"10\">\n\t\t\t\t<element kind=\"textField\" uuid=\"212b1f8d-e74c-48fc-911c-c6fb170e82b2\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"515\" height=\"10\" forecolor=\"#000000\" backcolor=\"#B0B0B0\" fontSize=\"8.0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{name}.substring(0,1)+ \"-names ID count: \" + $V{initialNameGroup_COUNT}</expression>\n\t\t\t\t\t<box style=\"Sans_Bold\">\n\t\t\t\t\t\t<pen lineWidth=\"0.5\" lineColor=\"#000000\" />\n\t\t\t\t\t</box>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'MacroReport' group 'initialNameGroup'",
    "metadata": {
      "group_name": "initialNameGroup",
      "expression": "$F{name}.substring(0,1)",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  }
]